EmailResource

Reads project email settings.

  • Stable unknown
  • Release candidate since 0.1.0-rc.4
  • Development since 0.1.0-dev.24+fa54770
public final class EmailResource

Reads project email settings. Get it from Ovok.email().

Methods

templates

public EmailResource.Templates templates()

Returns the email template calls.

Returns: the email template calls

EmailResource.Templates

public static final class Templates

Reads email templates.

Templates.list

public JsonNode list(RequestOptions options) throws IOException, InterruptedException

Lists the project email templates (GET /v1/email/templates).

Parameters:

  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

Last updated on

On this page